%define upstream_name	 Kwiki-ModPerl
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Enable Kwiki to work under mod_perl 
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Kwiki/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Kwiki-ModPerl-0.09-Parenthesise-qw-explicitly.patch

BuildRequires:	perl(Kwiki)
BuildRequires:	perl(inc::Module::Install)
BuildRequires:	apache-mod_perl
BuildArch:	noarch

Requires:	apache-mod_perl

%description
This module allows you to use Kwiki as a mod_perl content handler.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Kwiki
%{_mandir}/*/*


%changelog
* Tue Nov 01 2022 umeabot <umeabot> 0.90.0-11.mga9
+ Revision: 1901167
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.90.0-10.mga8
+ Revision: 1504886
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.90.0-9.mga7
+ Revision: 1284480
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.90.0-8.mga7
+ Revision: 1168519
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1029032
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 947334
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 739816
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 685172
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 538477
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.90.0-2.mga4
+ Revision: 489749
- Fix build (patch from Fedora)

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 368908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 37514
- mageia rebuild
- imported package perl-Kwiki-ModPerl

